create
POST
/v1/customers
const url = 'https://example.com/v1/customers';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"example","external_id":"example","idempotency_key":"example","metadata":"example","name":"example","phone":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/customers \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "example", "external_id": "example", "idempotency_key": "example", "metadata": "example", "name": "example", "phone": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
email
string
external_id
string
idempotency_key
required
string
metadata
name
string
phone
string
Example generated
{ "email": "example", "external_id": "example", "idempotency_key": "example", "metadata": "example", "name": "example", "phone": "example"}Responses
Section titled “ Responses ”Customer created
Media type application/json
object
created_at
required
string format: date-time
deleted_at
string format: date-time
email
string
external_id
string
id
required
string format: uuid
idempotency_key
required
string
metadata
required
name
string
phone
string
tenant_id
required
string format: uuid
updated_at
required
string format: date-time
Example generated
{ "created_at": "2026-04-15T12:00:00Z", "deleted_at": "2026-04-15T12:00:00Z", "email": "example", "external_id": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "idempotency_key": "example", "metadata": "example", "name": "example", "phone": "example", "tenant_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "updated_at": "2026-04-15T12:00:00Z"}Invalid request
Unauthorized
Missing scope: customer:write